Skip to main content
PATCH
/
api
/
workflows
/
{id}
Python
import requests

url = "https://app.langwatch.ai/api/workflows/{id}"

payload = {
    "name": "<string>",
    "icon": "<string>",
    "description": "<string>"
}
headers = {
    "X-Auth-Token": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', icon: '<string>', description: '<string>'})
};

fetch('https://app.langwatch.ai/api/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request PATCH \
--url https://app.langwatch.ai/api/workflows/{id} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"name": "<string>",
"icon": "<string>",
"description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "icon": "<string>",
  "description": "<string>",
  "isEvaluator": true,
  "isComponent": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "platformUrl": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

id
string
required

Body

application/json
name
string
Minimum string length: 1
icon
string
description
string

Response

Workflow updated

id
string
required
name
string
required
icon
string | null
required
description
string | null
required
isEvaluator
boolean
required
isComponent
boolean
required
createdAt
string
required
updatedAt
string
required
platformUrl
string<uri>
required